## edu.cwru.SimpleRTS.model.upgrade
Class Upgrade

    java.lang.Object
      edu.cwru.SimpleRTS.model.upgrade.Upgrade

    public class Upgrade

extends java.lang.Object

A class that doesn't really do anything on its own It has a template though, so that's something

Constructor Summary
`Upgrade(int attackchange, int defensechange, java.util.List<UnitTemplate> affectedunits, UpgradeTemplate template)`

Method Summary
`UpgradeTemplate` `getTemplate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Upgrade

    public Upgrade(int attackchange,
                   int defensechange,
                   java.util.List<UnitTemplate> affectedunits,
                   UpgradeTemplate template)

Method Detail

### getTemplate

    public UpgradeTemplate getTemplate()